### Method

# FwupdPlugin CsvEntry get_value_by_column_id

#### Declaration [src]

    const gchar*
    fu_csv_entry_get_value_by_column_id (
      FuCsvEntry* self,
      const gchar* column_id
    )

#### Description [src]

Gets the entry value for a specific column ID.

Available since: | 1.9.3

#### Parameters

`column_id` | `const gchar*`
| String, e.g. `component_generation`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `const gchar*`
| A string, or `NULL` if unset or the column ID cannot be found.
| The data is owned by the instance.
| The value is a NUL terminated UTF-8 string.